summaryrefslogtreecommitdiff
path: root/bin/cal-render.sh
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2024-01-31 01:19:19 +0100
committerJonas Smedegaard <dr@jones.dk>2024-02-01 08:25:53 +0100
commit7c09dd08ae2443b02eda763647f244faea2c205e (patch)
treecccc418a73d2a1f420d4ab2f825d3d93b4dc76a0 /bin/cal-render.sh
parent9eb1ffd6458b698a775b0d069e9e82032c63e847 (diff)
add events
Diffstat (limited to 'bin/cal-render.sh')
-rwxr-xr-xbin/cal-render.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/cal-render.sh b/bin/cal-render.sh
new file mode 100755
index 0000000..9203f7e
--- /dev/null
+++ b/bin/cal-render.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Depends: ical2html
+
+set -eu
+
+OUTDIR=events
+
+mkdir --parents "$OUTDIR/study" "$OUTDIR/moodle"
+
+icalmerge _CALENDARS/study/*.ics "$OUTDIR"/study/study.ics
+icalmerge _CALENDARS/moodle/*.ics "$OUTDIR"/moodle/moodle.ics
+
+ical2html --monday --title "RUC HumTek-23 Study" 20240201 P140D "$OUTDIR"/study/study.ics > "$OUTDIR"/study/index.html
+ical2html --monday --title "RUC HumTek-23 Moodle" 20240201 P140D "$OUTDIR"/moodle/moodle.ics > "$OUTDIR"/moodle/index.html